LibreOffice: XMLBasicExporter Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMLBasicExporter Service Referencepublished

Filter for exporting Basic macros to the OpenOffice.org file format. More...

Inheritance diagram for XMLBasicExporter:

## Public Member Functions
| createWithHandler ([in] com::sun::star::xml::sax::XDocumentHandler DocumentHandler)
Public Member Functions inherited from XExporter
void | setSourceDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the source document for the exporter
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XFilter
boolean | filter ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| filter the document.
void | cancel ()
| cancel the process.

## Additional Inherited Members
Exported Interfaces inherited from XXMLBasicExporter
interface | com::sun::star::document::XExporter
| sets the source document for this filter.
interface | com::sun::star::document::XFilter
| filters the document.

## Detailed Description

Filter for exporting Basic macros to the OpenOffice.org file format.

First the XExporter::setSourceDocument() method must be called in order to provide the export component with the source document from which the data should be exported. After that, the export is started by calling the XFilter::filter() method.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createWithHandler()

createWithHandler | ( | [in] com::sun::star::xml::sax::XDocumentHandler | DocumentHandler | ) |

The documentation for this service was generated from the following file:

- com/sun/star/document/XMLBasicExporter.idl